Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516204 - docker-puppet.py failure are being ignored
Summary: docker-puppet.py failure are being ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 12.0 (Pike)
Assignee: Michele Baldessari
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 09:30 UTC by Michele Baldessari
Modified: 2018-02-05 19:18 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-12.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 22:22:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1733402 None None None 2017-11-22 09:34:16 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC
OpenStack gerrit 521828 None None None 2017-11-22 09:34:33 UTC

Description Michele Baldessari 2017-11-22 09:30:16 UTC
Description of problem:
Via https://bugzilla.redhat.com/show_bug.cgi?id=1501852 we fixed a bunch of issues around puppet errors being ignored by the higher level parts of the stack. As it turns out there are other invocations where we ignore the errors reported. Namely in ansible playbooks like this:
- name: return code
  shell: |
    echo "fail 2"
    exit 2
  failed_when: false
  log_when: false
  register: outputs
- debug: msg="Broken (does not fail as expected)"
  when: outputs is defined
  failed_when: outputs|failed

The problem with the above playbooks is that 'failed_when: false' makes it so
that the 'failed' key in the outputs dictionary is set to false and so we do not ever fail correctly. The other problem is that 'outputs is defined' is always true even when the previous task was skipped.

Comment 3 Jon Schlueter 2017-11-22 17:38:44 UTC
openstack-tripleo-heat-templates-7.0.3-12.el7ost

Comment 6 Artem Hrechanychenko 2017-12-05 07:48:24 UTC
VERIFIED

verified as part of controller replacement procedure https://bugzilla.redhat.com/show_bug.cgi?id=1494455

Comment 9 errata-xmlrpc 2017-12-13 22:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.